import Template from './_template';
import Target from './_common/Target';

const BasicTooltipMarkup = Template.bind({});

const content = (
  <div
    style={{
      color: 'green',
      padding: '20px',
    }}
  >
    Basic tooltip with markup content
  </div>
);

BasicTooltipMarkup.args = {
  content,
  children: (
    <Target>Hello</Target>
  ),
};

BasicTooltipMarkup.parameters = {
  docs: {
    description: {
      story: `
When using the basic \`Tooltip\` component you can provide JSX markup as the
\`content\` parameter to render more interesting tooltips.
`,
    },
  },
};

export default BasicTooltipMarkup;
